+++
title = "Enabling USB-C Chargers on Miniware MDP-M905"
date = 2025-01-08

[taxonomies]
categories = ["Hardware"]

[extra]
author = "Emil Miler"
+++

The [MDP-M905](https://www.morningtools.com/article/116/533.html) is a small power supply by Miniware, known for their TS100 and TS80 series of smart soldering irons. The issue with the MDP-M905 is that it doesn't work with USB-C chargers, only USB-A. This article describes a way to enable this missing functionality through good old-fashioned hardware hacking.

<!-- more -->

The MDP-M905 has a USB-C connection for power, alongside a classic barrel jack. However, the USB-C port is not wired properly according to the USB-C specification. USB-C is more complex than older connectors; it requires an exchange of information between the connected devices before providing power.

![USB-C Pinout](usb-c-pinout.png)

The issue lies in the absence of a crucial component: two resistors on pins A5 and B5, which need to be pulled to ground through 5.1kΩ resistors. These pins, known as the "CC lines," are responsible for enabling USB-C to USB-C charging. Notice the two resistors R5 and R6 in the example above.

Fortunately, the fix is simple: attack the board with a soldering iron and a steady hand to add the missing resistors.

![Modifications](modifications.jpg)

I began by covering the PCB with Kapton tape to isolate the board from my modifications. Next, I added a GND line using a thicker wire and soldered the two resistors. The challenging part was connecting the resistors to the tiny pins using very thin wire. After some careful and precise soldering, the board is now able to power on with any USB-C-only charger.

![Working Device](working-device.jpg)

During my testing, the power limit was 18W at 12V. If you need more power, consider upgrading to the newer MDP-M906, which supports both QC (Quick Charge) and PD (Power Delivery).
